Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util
Class InputMismatchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.util.NoSuchElementException
                      java.util.InputMismatchException

All Implemented Interfaces:
  Serializable

    public class InputMismatchException

extends NoSuchElementException

Thrown by a `Scanner` to indicate that the token retrieved does not match the pattern for the expected type, or that the token is out of range for the expected type.

Since:
  1.5
See Also:
  `Scanner`, Serialized Form

Constructor Summary
`InputMismatchException()` Constructs a `InputMismatchException` with `null` as its error message string.
`InputMismatchException(String s)` Constructs a `InputMismatchException`, saving a reference to the error message string `s` for later retrieval by the `getMessage` method.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InputMismatchException

    public InputMismatchException()

  Constructs a `InputMismatchException` with `null` as its error message string.

### InputMismatchException

    public InputMismatchException(String s)

  Constructs a `InputMismatchException`, saving a reference to the error message string `s` for later retrieval by the `getMessage` method.

  Parameters:
    `s` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.